apr (1.5.1-1) unstable; urgency=low

  * New upstream version

 -- Stefan Fritsch <sf@debian.org>  Thu, 01 May 2014 10:37:50 +0200

apr (1.5.0-1) unstable; urgency=low

  * New upstream version
  * Pull changes from upstream 1.5.x branch up to r1552863 to fix problems
    on the FreeBSD 10 kernel with accept4() and non-blocking sockets.

 -- Stefan Fritsch <sf@debian.org>  Mon, 30 Dec 2013 16:37:54 +0100

apr (1.4.8-3) unstable; urgency=low

  * Re-add the logic to force use of bash for configure/libtool. Otherwise,
    if the package is build with /bin/sh -> /bin/bash, the shipped libtool
    won't work on systems with /bin/sh -> /bin/dash. This got lost in
    1.4.8-2. Closes: #730196

 -- Stefan Fritsch <sf@debian.org>  Sat, 23 Nov 2013 00:57:30 +0100

apr (1.4.8-2) unstable; urgency=low

  * Merge some changes from Ubuntu's 1.4.8-1ubuntu1:
    - Fix the confusion between HOST and BUILD variables in rules.
    - Add a set of autoconf preseeds that are only used when cross-building.
  * Change cross-building preseeds to only apply on linux.
  * Cherry-pick fix for O_NONBLOCK configure check from upstream 1.4.x
    branch.
  * Switch build system to dh
    - No longer hard-codes -fstack-protector on unsupported platforms.
      Closes: #717231
    - Bump Standards-Version (no additional changes).
  * Support multi-arch.
  * Enable sctp support on Linux.
  * Change apr_rules.mk to not force CFLAGS, etc. to the values used during
    apr's compilation.
  * Fix accept4() configure test to work on Hurd. Closes: #715028

 -- Stefan Fritsch <sf@debian.org>  Wed, 06 Nov 2013 19:37:05 +0100

apr (1.4.8-1) unstable; urgency=low

  * New upstream release
  * Remove the test debug output added in 1.4.6-3. The bug was #673711 in
    eglibc and has been fixed some time ago.

 -- Stefan Fritsch <sf@debian.org>  Thu, 04 Jul 2013 23:25:10 +0200

apr (1.4.6-4) unstable; urgency=low

  * Make the /dev/shm sanity check during build work if it is a symbolic link.
  * Remove the ancient ino_t configure sanity test that causes a FTBFS on x32.
    Closes: #701193
  * Don't override CFLAGS and LDFLAGS during build. This fixes the debug
    information being useless. Closes: #703466

 -- Stefan Fritsch <sf@debian.org>  Sat, 11 May 2013 15:06:24 +0200

apr (1.4.6-3) unstable; urgency=low

  * Fix some issues with resolving loopback addresses of a protocol family
    that is not otherwise configured on a host. Many thanks to Jean-Michel
    Vourgère and Aurelien Jarno for debugging this.
    Closes: #500558, #629899 LP: #397393
  * Pull updates from upstream branch 1.4.x up to r1343251
  * Add some debug output in order to debug test failures on kfreebsd-i386.

 -- Stefan Fritsch <sf@debian.org>  Mon, 28 May 2012 16:02:12 +0200

apr (1.4.6-2) unstable; urgency=low

  * Enable use of some new APIs. The minimal required linux kernel version is
    now 2.6.28.
  * Improvements for Hurd (closes: #656880):
    - Re-enable test suite
    - Update build hints, disable non-working shm and flock methods. Thanks to
      Pino Toscano for the patches.
  * Switch VCS to git.
  * Switch to source format 3.0, debhelper 9. Thanks to Jari Aalto for the
    patch. Closes: #664299
  * Remove sendfile LFS patch that was only necessary for 2.4 kernels.
  * Fix some lintian warnings (dh_prep, build-indep/build-arch targets).
  * Bump Standards-Version (no changes).

 -- Stefan Fritsch <sf@debian.org>  Sun, 20 May 2012 21:39:17 +0200

apr (1.4.6-1) unstable; urgency=low

  * New upstream release:
    - Fixes apr_file_trunc() bug which could lead to subversion repository
      corruption. Closes: #664451
    - Adds randomization to hashes. CVE-2012-0840 (but not known to be
      exploitable in httpd or svn). Closes: #655435
  * Remove Tollef Fog Heen and Ryan Niebur from uploaders. Thanks for your
    work in the past.

 -- Stefan Fritsch <sf@debian.org>  Sun, 18 Mar 2012 23:22:59 +0100

apr (1.4.5-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Disable robust pthread mutexes on armhf causes testprocmutex to hang on
    non-SMP cores. (Closes: #650350)

 -- Hector Oron <zumbi@debian.org>  Thu, 01 Dec 2011 00:04:08 +0000

apr (1.4.5-1) unstable; urgency=high

  * New upstream version:
    - Fix regression introduced by fix for CVE-2011-0419: apr_fnmatch may
      consume 100% CPU. CVE-2011-1928. Closes: #627182
  * Fix allocator using mmap crashing on non-4k-page platforms. Thanks to
    Lifeng Sun for the patch. Closes: #627532 

 -- Stefan Fritsch <sf@debian.org>  Sat, 21 May 2011 20:49:17 +0200

apr (1.4.4-1) unstable; urgency=low

  * New upstream release.
    - Fix potential DoS in apr_fnmatch (CVE-2011-0419)
  * Enable experimental allocator using mmap instead of malloc. This makes
    Apache HTTPD's MaxMemFree directive actually work and hopefully reduces
    memory fragmentation.
  * Bump standards-version (no changes).
  * Reword some short descriptions to make lintian happy.

 -- Stefan Fritsch <sf@debian.org>  Thu, 12 May 2011 22:43:36 +0200

apr (1.4.2-8) unstable; urgency=low

  * Fix apr_ino_t changing size depending on -D_FILE_OFFSET_BITS on
    kfreebsd-*. Closes: #616323

 -- Stefan Fritsch <sf@debian.org>  Sat, 05 Mar 2011 21:14:02 +0100

apr (1.4.2-7) unstable; urgency=low

  * Add a workaround for a problem related to strict aliasing that causes
    gcc 4.5 to create incorrect code in some cases. Closes: #609163
    LP: #697105
  * Bump standards version to 3.9.1:
    - empty dependency_libs section in libapr-1.la

 -- Stefan Fritsch <sf@debian.org>  Sat, 05 Feb 2011 18:22:58 +0100

apr (1.4.2-6) unstable; urgency=low

  * Also disable robust pthread mutexes on alpha, to fix hang in the test
    suite on Linux 2.6.32.

 -- Stefan Fritsch <sf@debian.org>  Mon, 30 Aug 2010 23:42:23 +0200

apr (1.4.2-5) unstable; urgency=medium

  * Fix FTBFS on armel: Disable robust pthread mutexes on armel, as they
    cause a hang in the test suite on Linux 2.6.32.

 -- Stefan Fritsch <sf@debian.org>  Sun, 29 Aug 2010 22:00:11 +0200

apr (1.4.2-4) unstable; urgency=low

  * Fix building with libtool 1.x. Closes: #575380
  * Fix pool life-time issue with apr_socket_addr_get(), resulting in a memory
    leak in Apache mod_proxy.
  * Under Linux, if configure does not detect POSIX semaphores due to /dev/shm
    not being mounted, abort the build. Closes: #591286

 -- Stefan Fritsch <sf@debian.org>  Tue, 17 Aug 2010 23:16:56 +0200

apr (1.4.2-3) unstable; urgency=low

  * Upload to unstable.

 -- Stefan Fritsch <sf@debian.org>  Sun, 31 Jan 2010 10:56:45 +0100

apr (1.4.2-2) experimental; urgency=low

  * Fix FTBFS on kfreebsd: Create os specific symbols file: With *_epoll on
    linux, with *_kqueue on kfreebsd, with neither on hurd.
  * Bump Standards-Version:
    - In the rules file, use the DEB_*_ARCH* instead of the DEB_*_GNU*
      variables, where applicable.

 -- Stefan Fritsch <sf@debian.org>  Thu, 28 Jan 2010 20:28:07 +0100

apr (1.4.2-1) experimental; urgency=low

  [ Stefan Fritsch ]
  * New upstream release
  * Enable use of O_CLOEXEC. This raises the minimum required kernel version
    to 2.6.23. Disable the other new APIs (which would require 2.6.27 or
    2.6.28) by using configure flags instead of patching the source.

  [ Peter Samuelson ]
  * Apply patch from Nobuhiro Iwamatsu to disable some pthread
    functionality on SH4.  (Closes: #549153)

 -- Stefan Fritsch <sf@debian.org>  Thu, 28 Jan 2010 07:33:48 +0100

apr (1.3.8-1) unstable; urgency=high

  [ Stefan Fritsch ]
  * Enable -fstack-protector for arm/armel. A workaround has been added to
    gcc.

  [ Peter Samuelson ]
  * New upstream security release.
    - Fix CVE-2009-2412, overflow in pool allocations due to alignment.

 -- Peter Samuelson <peter@p12n.org>  Thu, 06 Aug 2009 13:00:03 -0500

apr (1.3.7-1) unstable; urgency=low

  * New upstream release.

 -- Stefan Fritsch <sf@debian.org>  Fri, 24 Jul 2009 11:12:20 +0200

apr (1.3.5-2) unstable; urgency=low

  * Mark non-inheritable file descriptors with FD_CLOEXEC, to prevent leaking
    them to processes exec'ed by applications that fail to use the apr API
    correctly (i.e. mod_php). Closes: #366124
  * Bump standards-version (no changes).
  * Override soname lintian warning (too late to change that).

 -- Stefan Fritsch <sf@debian.org>  Tue, 23 Jun 2009 22:15:02 +0200

apr (1.3.5-1) unstable; urgency=low

  * New upstream version (really)

 -- Stefan Fritsch <sf@debian.org>  Mon, 08 Jun 2009 18:45:15 +0200

apr (1.3.4-1) unstable; urgency=low

  * New upstream version
  * Fix FTBFS on hurd (thanks to Marc Dequènes, closes: #530286)
    - define _GNU_SOURCE earlier
    - disable tests on hurd for now
    - Deactivate missing multicast support on Hurd (by removing
      HAVE_STRUCT_IPMREQ manually). 
  * Omit spurious libs from apr-1-config --libs output (closes: #463399)

 -- Stefan Fritsch <sf@debian.org>  Sun, 07 Jun 2009 21:15:32 +0200

apr (1.3.3-4) unstable; urgency=low

  [ Ryan Niebur ]
  * change the -dbg package's section to debug
  * Fix building with newer libtool, thanks to John Wright for the patch
    (Closes: #526346)
  * use a symbols file without apr_socket_sendfile on kfreebsd based
    architectures, fixing FTBFS (Closes: #520857)
  * support nocheck in DEB_BUILD_OPTIONS
  * Debian Policy 3.8.1

  [ Stefan Fritsch ]
  * Force use of bash in the embedded libtool

 -- Stefan Fritsch <sf@debian.org>  Sun, 10 May 2009 10:14:43 +0200

apr (1.3.3-3) unstable; urgency=low

  * Reduce stack size for the 'testatomic' test since it may otherwise run out
    of virtual memory on some buildds. This sometimes caused FTBFS on hppa.

 -- Stefan Fritsch <sf@debian.org>  Fri, 27 Feb 2009 14:58:02 +0100

apr (1.3.3-2) unstable; urgency=low

  [ Ryan Niebur ]
  * added support for parallel in DEB_BUILD_OPTIONS
  * add me to Uploaders

  [ Stefan Fritsch ]
  * Correct description for libapr1-dbg (closes: #508144).
  * Work around flock bug on hppa. This fixes the last remaining test failure,
    testprocmutex (closes: #492295).
  * Upload to unstable.

 -- Stefan Fritsch <sf@debian.org>  Mon, 23 Feb 2009 22:44:07 +0100

apr (1.3.3-1) experimental; urgency=low

  * New upstream release.
  * Not only ignore testsockets but also testsock to fix some more build
    failures.
  * Add some debugging output for m68k test problems (#495400).
  * Add -Wformat to CFLAGS to actually make use of -Wformat-security.

 -- Stefan Fritsch <sf@debian.org>  Fri, 26 Sep 2008 19:52:14 +0200

apr (1.3.2-3) experimental; urgency=low

  * Add netbase to build-deps to fix testsock test.
  * Ignore testsockets test only on vservers and if IPv6 is not configured.
  * Rerun buildconf during package build. This fixes FTBFS on powerpc (because
    of broken autoconf used by upstream, see #490820).
  * Remove kfreebsd hack no longer necessary with 1.3.x.

 -- Stefan Fritsch <sf@debian.org>  Mon, 04 Aug 2008 22:50:30 +0200

apr (1.3.2-2) experimental; urgency=low

  * Make tests more verbose to make debugging FTBFS easier.
  * Ignore testsock and testsockets tests which seem to fail if IPv6 is not
    configured.
  * Change watch file to www.apache.org, which is more reliable than
    www.eu.apache.org.

 -- Stefan Fritsch <sf@debian.org>  Sun, 27 Jul 2008 10:19:00 +0200

apr (1.3.2-1) experimental; urgency=low

  [ Ryan Niebur ]
  * new upstream version
  * use symbol files

  [ Stefan Fritsch ]
  * Upload to experimental

 -- Stefan Fritsch <sf@debian.org>  Wed, 23 Jul 2008 20:49:02 +0200

apr (1.2.12-6) UNRELEASED; urgency=low

  [ Ryan Niebur ]
  * Upgraded to policy version 3.8.0
    - Added support for noopt in DEB_BUILD_OPTIONS
    - Added a README.source

  [ Stefan Fritsch ]
  * Add upstream homepage to debian/control.

 -- Ryan Niebur <RyanRyan52@gmail.com>  Fri, 27 Jun 2008 14:39:29 -0700

apr (1.2.12-5) unstable; urgency=low

  * Actually switch to /dev/urandom instead of only adding a non-functional
    patch. Closes: #501497

 -- Stefan Fritsch <sf@debian.org>  Wed, 08 Oct 2008 00:06:56 +0200

apr (1.2.12-4) unstable; urgency=medium

  * Use /dev/urandom instead of /dev/random (like 1.3.* does).
  * Update watch file to recognize 1.3.*.

 -- Stefan Fritsch <sf@debian.org>  Wed, 18 Jun 2008 23:12:35 +0200

apr (1.2.12-3) unstable; urgency=low

  * Enable hardening options in a way that does not include them in
    apr-config, which was a bad idea.
  * Point to /usr/share/common-licenses instead of including the license in the
    copyright file.

 -- Stefan Fritsch <sf@debian.org>  Wed, 11 Jun 2008 19:19:52 +0200

apr (1.2.12-2) unstable; urgency=high

  * Urgency high for RC bug fix.
  * Do not use -fstack-protector on arm and armel, since it is completely
    broken (see #469517). Closes: #477772
  * Remove unneded libtool build dependency.

 -- Stefan Fritsch <sf@debian.org>  Wed, 30 Apr 2008 20:46:17 +0200

apr (1.2.12-1) unstable; urgency=low

  * New upstream version.
    - Remove 020_lfs_ino_t.dpatch now done by upstream configure. Adjust
      ino_t_test.c to check that this is the same definition of apr_ino_t as
      we had before.
  * Enable hardening options: -fstack-protector -Wformat-security
    -D_FORTIFY_SOURCE=2 -Wl,-z,relro
  * Disable SCTP for now, in order to get a consistent build result in unclean
    build environments.
  * Remove Thom May, Fabio M. Di Nitto, Daniel Stone, and Adam Conrad from the
    uploaders field (thanks for your work).
  * Fix some lintian warnings:
    - Bump Standards-Version to 3.7.3 (no changes).
    - Remove obsolete XS- from VCS tags.
    - Remove empty /usr/share/doc/libapr1.0 directory.
    - Provide patch description.
  * Point VCS tags in debian control to trunk, to make them useful with
    debcheckout.

 -- Stefan Fritsch <sf@debian.org>  Tue, 01 Apr 2008 22:17:47 +0200

apr (1.2.11-1) unstable; urgency=low

  * New upstream version (Closes: #441969)
  * Enable epoll (Closes: #441635). This means we don't support Linux 2.4
    kernels anymore. Therefore we can also enable tcp_nodelay_with_cork.
  * Fix generation of docs (Closes: #413684, #442794)
  * Don't ship LaTeX source files in .deb
  * Build with -D_REENTRANT on kfreebsd (Closes: #301417)
  * Fix FTBFS on hurd because of missing PATH_MAX (Closes: #349418)
  * Do not build everything twice by using the correct path to config.status
    in debian/rules
  * Add myself to Uploaders
  * Add svn repository information to debian/control

 -- Stefan Fritsch <sf@debian.org>  Thu, 20 Sep 2007 20:56:37 +0200

apr (1.2.9-1) unstable; urgency=low

  * Acknowledge NMUs - thanks, Andi.

  [ Peter Samuelson ]
  * New upstream version.  Minor bugfixes, no new features.
    - Update 015_sendfile_lfs.dpatch
    - Remove obsolete 099_config_guess_sub_update.dpatch
  * 020_lfs_ino_t.dpatch: update to support kfreebsd-amd64.
    Thanks to Petr Salinger.  (Closes: #405564)
  * Standards-Version: 3.7.2 (from 3.6.2.2) - no changes.
  * Rename Source-Version substvar to binary:Version, for great justice.
  * libapr1-dev Suggests: python, in case someone wants to use the
    application build infrastructure in /usr/share/apr-1.0/build.
  * debian/rules: small cleanups.
  * Add watch file.
  * Add myself to Uploaders.

 -- Peter Samuelson <peter@p12n.org>  Fri, 22 Jun 2007 14:03:20 -0500

apr (1.2.7-8.2) unstable; urgency=high

  * Non-maintainer upload.
  * Apply better working 015_sendfile_lfs.dpatch this time.
    Again Closes: #396631

 -- Andreas Barth <aba@not.so.argh.org>  Wed, 20 Dec 2006 08:19:19 +0000

apr (1.2.7-8.1) unstable; urgency=high

  * Non-maintainer upload.
  * Fix 0-lenght files. Take 015_sendfile_lfs.dpatch from svn for this.
    Closes: #396631

 -- Andreas Barth <aba@not.so.argh.org>  Sat,  9 Dec 2006 20:39:59 +0000

apr (1.2.7-8) unstable; urgency=low

  [ Peter Samuelson ]
  * Small kludge^Wtweak to apr_file_info.h to make the ABI stable across
    LFS/non-LFS preprocessor flags.  (See: #397402)

 -- Tollef Fog Heen <tfheen@debian.org>  Wed, 15 Nov 2006 00:17:02 +0100

apr (1.2.7-7) unstable; urgency=low

  * Update rules to ensure we don't turn on features that aren't available on
    2.4 kernels for !amd64 kernels.  Closes: #392049

 -- Tollef Fog Heen <tfheen@debian.org>  Tue,  7 Nov 2006 01:21:27 +0100

apr (1.2.7-6) unstable; urgency=low

  * Update 011_fix_apr-config to give out the libtool used to build apr
    with.  Fixes Apache 2.2 FTBFS when we remove all the evil libtool
    hacks there too.
  * Make -dbg package Priority: extra as per overrides.

 -- Tollef Fog Heen <tfheen@debian.org>  Wed, 27 Sep 2006 22:16:51 +0200

apr (1.2.7-5) unstable; urgency=low

  * Add doxygen to build-deps.
  * Add sendfile hurd patch.  Closes: #349416

 -- Tollef Fog Heen <tfheen@debian.org>  Wed, 27 Sep 2006 19:32:10 +0200

apr (1.2.7-4) unstable; urgency=low

  * No longer force apr_lock_method.  Closes: #384117
  * Use srcdir != builddir.
  * Add docs to -dev package.  Closes: #388146

 -- Tollef Fog Heen <tfheen@debian.org>  Wed, 27 Sep 2006 17:26:56 +0200

apr (1.2.7-3) unstable; urgency=low

  * Fix override disparity
  * Backport of patch to work around kernel problems with sendfile on 64bit
    platforms
  * Update config.{guess,sub} to make libtool happier.  This fixes the
    problem reported in #369881.  Closes: #369881.
  * Remove some of the libtool hacks since they're no longer needed with
    the newer config.{guess,sub}

 -- Tollef Fog Heen <tfheen@debian.org>  Mon,  1 May 2006 17:06:37 +0200

apr (1.2.7-2) unstable; urgency=low

  * Ship get-version.sh too, needed by apr-util.

 -- Tollef Fog Heen <tfheen@debian.org>  Fri, 28 Apr 2006 22:57:43 +0200

apr (1.2.7-1) unstable; urgency=low

  * New upstream release.
  * Add apr-1-config man page.  Closes: #357174, thanks to Vincent Danjean
    for the conversion job.

 -- Tollef Fog Heen <tfheen@debian.org>  Fri, 28 Apr 2006 19:45:08 +0000

apr (1.2.2-3) unstable; urgency=low

  * Rename source package to match upstream.
  * Rename binary packages to libapr1 etc.
  * Add conflicts for old packages.
  * libapr1-dev Depends: uuid-dev.
  * Add uuid-dev to Build-Dep:
  * Enable non-portable atomics.
  * Update Standards-Version: no changes.
  * Add apr-config compatibility symlink.

 -- Tollef Fog Heen <tfheen@debian.org>  Thu, 26 Jan 2006 12:42:30 +0100

apr1.0 (1.2.2-2) unstable; urgency=low

  * Up to debhelper v5
  * Add call to dh_installdocs; not sure why I was not doing this already.

 -- Thom May <thom@debian.org>  Tue,  3 Jan 2006 13:01:56 +0000

apr1.0 (1.2.2-1) unstable; urgency=low

  * New upstream release

 -- Thom May <thom@debian.org>  Thu, 29 Dec 2005 17:05:42 +0000

apr1.0 (1.1.1-1) unstable; urgency=low

  * New upstream release

 -- Thom May <thom@debian.org>  Sun,  8 May 2005 17:12:09 +0100

apr1.0 (1.1.0-1) unstable; urgency=low

  * New Upstream Release
  * First Package Release

 -- Thom May <thom@debian.org>  Wed, 17 Nov 2004 11:51:32 -0800
